Open topic with navigation

TIBCO BusinessEvents® Enterprise Edition 6.3.1

# CDD Collections Tab Log Configurations Settings Reference

You can define settings for log file on the Collections tab of the CDD.

CDD Collections Tab Log Configurations Settings
Property | Global Variable? | Description
--- | --- | ---
Name | No | Name of this log configuration.
Enable | No | Check the Enable checkbox to enable this log configuration. All other Enable settings are ignored if this checkbox is unchecked.
Levels | Yes | Space-separated list of levels and modules used in this log configuration. See Log Configurations for more details. Default is `info.`
Files
Enable | No | Check the Enable check box to enable log files to be written. Configure the settings in this section to specify details. If this check box is unchecked, all other properties in this section are ignored.
Directory | No | Enter the absolute path to the directory in which you want to store the files. If you do not enter a leading slash, the files are stored relative to the working directory (the directory in which you start the `be-engine.exe` executable).
Name | No | Name of the log file. The default value is the engine name. If no engine name is set, then the default value is `cep-engine.log`
Max number | Yes | Number of log files to keep. When the Max size setting value is reached, a new log file is created for the next log entries. Files are created up to the Max number setting size. The oldest file is deleted when a new file is added after this value is reached. Default is `10`.
Max size | Yes | Maximum size of one log file. Default is `10000000.`
Append | No | If checked then new entries are added to the end of the file. If not checked, the contents of the file are flushed each time the engine starts.

CDD Collections Tab Log Configurations Settings
Property | Description
--- | ---
Send to Terminal
Enable | Check the Enable checkbox to enable the redirection specified in this section. If this checkbox is unchecked, all other properties in this section are ignored.
Output redirection | If true, the `STDOUT` stream is written to the terminal. If `false`, it is not.
Error redirection | If true, the `STDERR` stream is written to the terminal. If `false`, it is not.
Custom Line Layout
Enable | Check the Enable check box to enable the custom line layout entries to take effect. Configure the settings in this section to specify details of a custom layout. If this check box is unchecked, all other properties in this section are ignored. If this check box is checked all properties in the other sections are ignored (except Name, and Enable in the upper section).
Class | The custom line layout class. This class must implement `org.apache.logging.log4j.core.layout.PatternLayout` and must be available in the runtime classpath. The class needs 2 constructors: One with no argument One with a single String argument, which receives the value of the Arguments field.
Arguments | A String parameter used for the custom line layout class, if required: To use the constructor that requires an argument, specify the argument To use the constructor that does not expect an argument, leave the field empty.

Note: To override the default TIBCO BusinessEvents CDD logging properties, see Overriding the Default Logging Mode.

Additional log settings can be added to the Processing Unit tab Properties, see Processing Units Configuration Settings.

Did you find this helpful?

YesNo
Great!
Thanks for taking the time to give us some feedback.
Sorry about that

Why wasn't this helpful? (check all that apply)

Could not find what I was looking for
Instructions confusing or unclear
Instructions did not work

Want to tell us more?

Please select at least one option or provide details about the issue!!

Error occurred while submitting feedback.

Error2 occurred while submitting feedback.

TIBCO BusinessEvents® Enterprise Edition

Copyright © 2004-2024. Cloud Software Group, Inc. All Rights Reserved.